# Disbursement API
source: https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-reference/disbursement/index.md

### Create Disbursements {#create-disbursements}

This API creates a disbursement (Payment Transaction) to send funds to a recipient (POST request).

For each disbursement, generate a unique Disbursement Reference ID (6-40 characters, alphanumeric and \* , - . _ \~ allowed) and provide it as the `disbursement_reference` in the POST request. If the request is successful, the API response includes a unique system-generated Disbursement ID (`id`).

If the Payment Transaction is successful, the API response (HTTP 201) `status` value is 'APPROVED'. For details on the possible status values, see [Disbursement Status](https://developer.mastercard.com/mastercard-send-disbursements/documentation/response-error-codes/status/index.md). The API request `decline_details` query parameter determines the type of API response when a transaction is declined, which is either:

* 201 response with `status` value as 'DECLINED', if the query parameter was set to 'true'
* 402 error with `ReasonCode` as 'DECLINE' (the default)

Error responses are also returned for API requests that fail Mastercard Send validation or transaction processing, for example, when a required field is missing or a value is incorrectly formatted; see [Error Codes](https://developer.mastercard.com/mastercard-send-disbursements/documentation/response-error-codes/error-codes/index.md).

For guidance on detecting and responding to payment exception scenarios and using the `Repeat-Flag` header, see [Exception Management](https://developer.mastercard.com/mastercard-send-disbursements/documentation/tutorials-and-guides/exception-management/index.md). This service supports [Idempotency](https://developer.mastercard.com/mastercard-send-disbursements/documentation/tutorials-and-guides/repeat-flag/index.md#idempotency) when enabled.

### Retrieve Information {#retrieve-information}

You can also use this API to retrieve disbursement details (GET request), including its status, by either:

* Disbursement Reference, using the `disbursement_reference` you provided when you created the disbursement
* Disbursement ID, using the system-generated `id` that was returned when you created the disbursement

The GET response `status` field can provide additional values than the POST response. For example, it can convey whether the disbursement had errors ('ERROR') or was declined ('DECLINED').

## Environment Domains {#environment-domains}

In January 2026, we introduced the following RNTZ (Regional Network Transit Zone) domains for this API. All users of this API service must transition to these domains.
* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.move.mastercard.com/send/static
```

```MTF
https://sandbox.api.move.mastercard.com/send
```

```Production
https://api.move.mastercard.com/send
```

* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.mastercard.com/send/static
```

```MTF
https://sandbox.api.mastercard.com/send
```

```Production
https://api.mastercard.com/send
```

To form the full endpoint URL, combine the appropriate domain portion (shown above) with the path portion shown by the OpenAPI specification (see below).
Note: Mastercard will end support of the non-RNTZ domains for this API service on 31 March 2027, see the [API release notes](https://static.developer.mastercard.com/content/mastercard-send/release-notes/mastercard-send-release-notes-26.2.pdf#page=4).

## API {#api}

This API supports JSON and XML requests. In the expandable sections below, JSON example requests and responses are shown. For XML examples, see [Sample Requests and Responses](https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-reference/disbursement/index.md#sample-requests-and-responses). Use [HTTP Headers](https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-basics/index.md#http-headers) to determine the response format. We recommend you log the Correlation ID (correlation-id) response header value for tracking purposes. When seeking support, providing the relevant Correlation ID may help resolve your inquiry more quickly.

The `partnerId` portion of the URL makes the request unique to a specific Originating Institution or Transaction Initiator:

* Sandbox API: Use any ID of valid length (32 characters), e.g. `ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo`
* MTF and Production APIs: Use the Partner Reference ID you receive when you [register for the Mastercard Send program](https://developer.mastercard.com/mastercard-send/documentation/send-eligibility/)

The 'Required' indicator in the API specification relates to general API validation. Other fields may also be required depending on the payment type, region, program rules, or network rules.

API Specification: `https://static.developer.mastercard.com/content/mastercard-send-disbursements/swagger/send-disbursement-api-swagger.yaml`

## Testing {#testing}

You can make API calls to the Sandbox server from an API tool or your application code or the [tutorials](https://developer.mastercard.com/mastercard-send-disbursements/documentation/tutorials-and-guides/index.md), which involves creating a Mastercard Developers project and using the Sandbox keys to generate the required OAuth 1.0a Authorization Header.

The sample POST request has a test `disbursement_reference` value that should always get a success response from the Sandbox. For other `disbursement_reference` values, the Sandbox detects when they are reused and will return an error response (non-idempotent behavior).

The Sandbox server returns simulated responses. For Sandbox and MTF testing guidance, see [Testing](https://developer.mastercard.com/mastercard-send-disbursements/documentation/testing/index.md).

## Sample Requests and Responses {#sample-requests-and-responses}

This section presents example API messages for each type of API call. For requests messages:

* **Format:** JSON / XML
* **HTTP Version:** 1.0 / 1.1
* **HTTP Header Parameters:** see [HTTP Headers](https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-basics/index.md#http-headers)

Response messages also contain the content-type and content-length header parameters.

### POST {#post}

#### Request {#request}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/disbursements/payment  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements/payment  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements/payment
* JSON
* XML

```JSON
{
  "payment_disbursement": {
    "disbursement_reference": "DEF123456",
    "payment_type": "BDB",
    "amount": "5300",
    "currency": "USD",
    "sender_account_uri": "pan:5102589999999921;exp=2077-02;cvc=123",
    "sender": {
      "first_name": "XYZ",
      "middle_name": "",
      "last_name": "DBA MA",
      "account_type": "03",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "government_ids": {
        "government_id_uri": [
          "ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      }
    },
    "recipient_account_uri": "pan:5102589999999913;exp=2077-08;cvc=123",
    "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "account_type": "03",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com",
      "government_ids": {
        "government_id_uri": [
          "ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      },
      "name_on_account": "Jane Smith"
    },
    "payment_origination_country": "USA",
    "sanction_screening_override": "true",
    "reconciliation_data": {
      "custom_field": [
        {
          "name": "Claim Number",
          "value": "123"
        }
      ]
    },
    "statement_descriptor": "CLAIM 12345",
    "canada_domestic_indicator": "true",
    "participant": {
      "merchant_category_code": "6536",
      "interchange_rate_designator": "A3",
      "card_acceptor_id": "CardAcceptor123",
      "customer_service_contact_info": "8005551234",
      "merchant_verification_value": "2006230000",
      "transfer_acceptor_address": {
        "line1": "123 Elm St",
        "line2": "Apartment 9",
        "city": "Chicago",
        "country_subdivision": "IL",
        "postal_code": "60618",
        "country": "USA"
      }
    },
    "funding_source": "DEBIT",
    "transaction_purpose": "00",
    "funding_account_uri": "non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ",
    "transfer_priority": "SIP",
    "transaction_local_date_time": "2023-06-07T11:15:07+00:00"
  }
}
```

```XML
<payment_disbursement>
  <disbursement_reference>DEF123456</disbursement_reference>
  <payment_type>BDB</payment_type>
  <amount>5300</amount>
  <currency>USD</currency>
  <sender_account_uri>pan:5102589999999921;exp=2077-02;cvc=123</sender_account_uri>
  <sender>
    <first_name>XYZ</first_name>
    <middle_name></middle_name>
    <last_name>DBA MA</last_name>
    <account_type>03</account_type>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <government_ids>
      <government_id_uri>ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
  </sender>
  <recipient_account_uri>pan:5102589999999913;exp=2077-08;cvc=123</recipient_account_uri>
  <recipient>
    <first_name>Jane</first_name>
    <middle_name>Tyler</middle_name>
    <last_name>Smith</last_name>
    <nationality>USA</nationality>
    <date_of_birth>1999-12-30</date_of_birth>
    <account_type>03</account_type>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <phone>11234567890</phone>
    <email>test123@abcmail.com</email>
    <government_ids>
      <government_id_uri>ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
    <name_on_account>Jane Smith</name_on_account>
  </recipient>
  <payment_origination_country>USA</payment_origination_country>
  <sanction_screening_override>true</sanction_screening_override>
  <reconciliation_data>
    <custom_field>
      <name>Claim Number</name>
      <value>123</value>
    </custom_field>
  </reconciliation_data>
  <statement_descriptor>CLAIM 12345</statement_descriptor>
  <canada_domestic_indicator>true</canada_domestic_indicator>
  <participant>
    <merchant_category_code>6536</merchant_category_code>
    <interchange_rate_designator>A3</interchange_rate_designator>
    <card_acceptor_id>CardAcceptor123</card_acceptor_id>
    <customer_service_contact_info>8005551234</customer_service_contact_info>
    <merchant_verification_value>2006230000</merchant_verification_value>
    <transfer_acceptor_address>
      <line1>123 Elm St</line1>
      <line2>Apartment 9</line2>
      <city>Chicago</city>
      <country_subdivision>IL</country_subdivision>
      <postal_code>60618</postal_code>
      <country>USA</country>
    </transfer_acceptor_address>
  </participant>
  <funding_source>DEBIT</funding_source>
  <transaction_purpose>00</transaction_purpose>
  <funding_account_uri>non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ</funding_account_uri>
  <transfer_priority>SIP</transfer_priority>
  <transaction_local_date_time>2023-06-07T11:15:07+00:00</transaction_local_date_time>
</payment_disbursement>
```

#### Response {#response}

* JSON
* XML

```JSON
{
  "disbursement": {
    "id": "dsb_pypf0w39wmio3cyoib1j",
    "resource_type": "disbursement",
    "payment_type": "BDB",
    "disbursement_reference": "DEF123456",
    "sender_account_uri": "pan:************9921",
    "sender": {
      "first_name": "XYZ",
      "middle_name": "",
      "last_name": "DBA MA",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "government_ids": {
        "government_id_uri": [
          "ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      },
      "account_type": "03"
    },
    "recipient_account_uri": "pan:************9913",
    "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com",
      "government_ids": {
        "government_id_uri": [
          "ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      },
      "name_on_account": "Jane Smith",
      "account_type": "03"
    },
    "disbursement_amount": {
      "value": "5300",
      "currency": "USD"
    },
    "created": "2023-06-07T11:15:07.000+00:00",
    "transaction_history": {
      "resource_type": "list",
      "item_count": 1,
      "data": {
        "transaction": [
          {
            "id": "txn_fqs9nmarwmsnre30vlgf",
            "resource_type": "transaction",
            "account_uri": "pan:************9913",
            "transaction_amount": {
              "value": "5300",
              "currency": "USD"
            },
            "network": "MasterCard",
            "funds_availability": "IMMEDIATE",
            "type": "PAYMENT",
            "create_timestamp": "2023-06-07T11:15:07.000+00:00",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2023-06-07T11:15:07.000+00:00",
            "retrieval_reference": "31130100112902427265",
            "system_trace_audit_number": "626688",
            "transaction_local_date_time": "2023-06-07T11:15:07+00:00"
          }
        ]
      }
    },
    "reconciliation_data": {
      "custom_field": [
        {
          "name": "Claim Number",
          "value": "123"
        }
      ]
    },
    "sanction_screening_override": "true",
    "statement_descriptor": "CLAIM 12345",
    "original_status": "APPROVED",
    "status": "APPROVED",
    "status_timestamp": "2023-06-07T11:15:07.000+00:00",
    "payment_origination_country": "USA",
    "participant": {
      "transfer_acceptor_address": {
        "line1": "123 Elm St",
        "line2": "Apartment 9",
        "city": "Chicago",
        "country_subdivision": "IL",
        "postal_code": "60618",
        "country": "USA"
      },
      "merchant_category_code": "6536",
      "interchange_rate_designator": "A3",
      "card_acceptor_id": "CardAcceptor123",
      "customer_service_contact_info": "8005551234"
    },
    "transfer_priority": "SIP",
    "funding_source": "DEBIT",
    "funding_account_uri": "non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ",
    "faster_payments_id": "YE78126Q54WK2J06M33020170720826608371  ",
    "payment_uid": "32e2f3f9-dee4-4d10-a470-3dfa01dbf118",
    "canada_domestic_indicator": true,
    "transaction_purpose": "00",
    "transaction_local_date_time": "2023-06-07T11:15:07+00:00"
  }
}
```

```XML
<disbursement>
  <id>dsb_pypf0w39wmio3cyoib1j</id>
  <resource_type>disbursement</resource_type>
  <payment_type>BDB</payment_type>
  <disbursement_reference>DEF123456</disbursement_reference>
  <sender_account_uri>pan:************9921</sender_account_uri>
  <sender>
    <first_name>XYZ</first_name>
    <middle_name></middle_name>
    <last_name>DBA MA</last_name>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <government_ids>
      <government_id_uri>ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
    <account_type>03</account_type>
  </sender>
  <recipient_account_uri>pan:************9913</recipient_account_uri>
  <recipient>
    <first_name>Jane</first_name>
    <middle_name>Tyler</middle_name>
    <last_name>Smith</last_name>
    <nationality>USA</nationality>
    <date_of_birth>1999-12-30</date_of_birth>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <phone>11234567890</phone>
    <email>test123@abcmail.com</email>
    <government_ids>
      <government_id_uri>ppn:123456789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
    <name_on_account>Jane Smith</name_on_account>
    <account_type>03</account_type>
  </recipient>
  <disbursement_amount>
    <value>5300</value>
    <currency>USD</currency>
  </disbursement_amount>
  <created>2023-06-07T11:15:07.000+00:00</created>
  <transaction_history>
    <resource_type>list</resource_type>
    <item_count>1</item_count>
    <data>
      <transaction>
        <id>txn_fqs9nmarwmsnre30vlgf</id>
        <resource_type>transaction</resource_type>
        <account_uri>pan:************9913</account_uri>
        <transaction_amount>
          <value>5300</value>
          <currency>USD</currency>
        </transaction_amount>
        <network>MasterCard</network>
        <funds_availability>IMMEDIATE</funds_availability>
        <type>PAYMENT</type>
        <create_timestamp>2023-06-07T11:15:07.000+00:00</create_timestamp>
        <status>APPROVED</status>
        <status_reason>APPROVED</status_reason>
        <status_timestamp>2023-06-07T11:15:07.000+00:00</status_timestamp>
        <retrieval_reference>31130100112902427265</retrieval_reference>
        <system_trace_audit_number>626688</system_trace_audit_number>
        <transaction_local_date_time>2023-06-07T11:15:07+00:00</transaction_local_date_time>
      </transaction>
    </data>
  </transaction_history>
  <reconciliation_data>
    <custom_field>
      <name>Claim Number</name>
      <value>123</value>
    </custom_field>
  </reconciliation_data>
  <sanction_screening_override>true</sanction_screening_override>
  <statement_descriptor>CLAIM 12345</statement_descriptor>
  <original_status>APPROVED</original_status>
  <status>APPROVED</status>
  <status_timestamp>2023-06-07T11:15:07.000+00:00</status_timestamp>
  <payment_origination_country>USA</payment_origination_country>
  <participant>
    <transfer_acceptor_address>
      <line1>123 Elm St</line1>
      <line2>Apartment 9</line2>
      <city>Chicago</city>
      <country_subdivision>IL</country_subdivision>
      <postal_code>60618</postal_code>
      <country>USA</country>
    </transfer_acceptor_address>
    <merchant_category_code>6536</merchant_category_code>
    <interchange_rate_designator>A3</interchange_rate_designator>
    <card_acceptor_id>CardAcceptor123</card_acceptor_id>
    <customer_service_contact_info>8005551234</customer_service_contact_info>
  </participant>
  <transfer_priority>SIP</transfer_priority>
  <funding_source>DEBIT</funding_source>
  <funding_account_uri>non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ</funding_account_uri>
  <faster_payments_id>YE78126Q54WK2J06M33020170720826608371  </faster_payments_id>
  <payment_uid>32e2f3f9-dee4-4d10-a470-3dfa01dbf118</payment_uid>
  <canada_domestic_indicator>true</canada_domestic_indicator>
  <transaction_purpose>00</transaction_purpose>
  <transaction_local_date_time>2023-06-07T11:15:07+00:00</transaction_local_date_time>
</disbursement>
```

### GET - Retrieve by Disbursement ID {#get---retrieve-by-disbursement-id}

#### Request {#request-1}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/disbursements/{disbursementId}  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements/{disbursementId}  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements/{disbursementId}

No body

#### Response {#response-1}

* JSON
* XML

```JSON
{
  "disbursement": {
    "id": "dsb_onibKQIGKOzDFVZJWcaYFRh3Czye",
    "resource_type": "disbursement",
    "disbursement_reference": "DEF123456",
    "payment_type": "BDB",
    "sender_account_uri": "pan:************9921",
    "sender": {
      "first_name": "XYZ",
      "middle_name": "",
      "last_name": "DBA MA",
      "account_type": "03",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "government_ids": {
        "government_id_uri": [
          "ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      }
    },
    "recipient_account_uri": "pan:************9913",
    "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "account_type": "03",
      "address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com",
      "government_ids": {
        "government_id_uri": [
          "ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
        ]
      },
      "name_on_account": "Jane Smith"
    },
    "payment_origination_country": "USA",
    "sanction_screening_override": "false",
    "disbursement_amount": {
      "value": "5300",
      "currency": "USD"
    },
    "created": "2021-04-16T13:28:15-05:00",
    "transaction_history": {
      "resource_type": "list",
      "item_count": "1",
      "data": {
        "transaction": [
          {
            "id": "txn_6OfMaoFhuRR1nKUu5EX5wREXcqs8",
            "resource_type": "transaction",
            "account_uri": "pan:************9913",
            "transaction_amount": {
              "value": "5300",
              "currency": "USD"
            },
            "network": "MasterCard",
            "network_status_code": "00",
            "network_status_description": "Approved",
            "funds_availability": "IMMEDIATE",
            "type": "PAYMENT",
            "create_timestamp": "2021-04-16T13:28:15-05:00",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2021-04-16T13:28:15-05:00",
            "retrieval_reference": "624200192616",
            "system_trace_audit_number": "926162",
            "transaction_local_date_time": "2021-04-16T13:28:15-05:00"
          }
        ]
      }
    },
    "reconciliation_data": {
      "custom_field": [
        {
          "name": "Claim Number",
          "value": "123"
        }
      ]
    },
    "statement_descriptor": "CLAIM 12345",
    "canada_domestic_indicator": "true",
    "status": "APPROVED",
    "original_status": "APPROVED",
    "status_timestamp": "2021-04-16T13:28:15-05:00",
    "participant": {
      "merchant_category_code": "6536",
      "interchange_rate_designator": "A3",
      "card_acceptor_id": "CardAcceptor123",
      "customer_service_contact_info": "8005551234",
      "merchant_verification_value": "2006230000",
      "transfer_acceptor_address": {
        "line1": "1 Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      }
    },
    "funding_source": "DEBIT",
    "transaction_purpose": "00",
    "funding_account_uri": "non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ",
    "transfer_priority": "SIP",
    "faster_payments_id": "YE78126Q54WK2J06M33020170720826608371",
    "payment_uid": "32e2f3f9-dee4-4d10-a470-3dfa01dbf118",
    "transaction_local_date_time": "2021-04-16T13:28:15-05:00"
  }
}
```

```XML
<disbursement>
  <id>dsb_onibKQIGKOzDFVZJWcaYFRh3Czye</id>
  <resource_type>disbursement</resource_type>
  <disbursement_reference>DEF123456</disbursement_reference>
  <payment_type>BDB</payment_type>
  <sender_account_uri>pan:************9921</sender_account_uri>
  <sender>
    <first_name>XYZ</first_name>
    <middle_name></middle_name>
    <last_name>DBA MA</last_name>
    <account_type>03</account_type>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <government_ids>
      <government_id_uri>ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
  </sender>
  <recipient_account_uri>pan:************9913</recipient_account_uri>
  <recipient>
    <first_name>Jane</first_name>
    <middle_name>Tyler</middle_name>
    <last_name>Smith</last_name>
    <nationality>USA</nationality>
    <date_of_birth>1999-12-30</date_of_birth>
    <account_type>03</account_type>
    <address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </address>
    <phone>11234567890</phone>
    <email>test123@abcmail.com</email>
    <government_ids>
      <government_id_uri>ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
    </government_ids>
    <name_on_account>Jane Smith</name_on_account>
  </recipient>
  <payment_origination_country>USA</payment_origination_country>
  <sanction_screening_override>false</sanction_screening_override>
  <disbursement_amount>
    <value>5300</value>
    <currency>USD</currency>
  </disbursement_amount>
  <created>2021-04-16T13:28:15-05:00</created>
  <transaction_history>
    <resource_type>list</resource_type>
    <item_count>1</item_count>
    <data>
      <transaction>
        <id>txn_6OfMaoFhuRR1nKUu5EX5wREXcqs8</id>
        <resource_type>transaction</resource_type>
        <account_uri>pan:************9913</account_uri>
        <transaction_amount>
          <value>5300</value>
          <currency>USD</currency>
        </transaction_amount>
        <network>MasterCard</network>
        <network_status_code>00</network_status_code>
        <network_status_description>Approved</network_status_description>
        <funds_availability>IMMEDIATE</funds_availability>
        <type>PAYMENT</type>
        <create_timestamp>2021-04-16T13:28:15-05:00</create_timestamp>
        <status>APPROVED</status>
        <status_reason>APPROVED</status_reason>
        <status_timestamp>2021-04-16T13:28:15-05:00</status_timestamp>
        <retrieval_reference>624200192616</retrieval_reference>
        <system_trace_audit_number>926162</system_trace_audit_number>
        <transaction_local_date_time>2021-04-16T13:28:15-05:00</transaction_local_date_time>
      </transaction>
    </data>
  </transaction_history>
  <reconciliation_data>
    <custom_field>
      <name>Claim Number</name>
      <value>123</value>
    </custom_field>
  </reconciliation_data>
  <statement_descriptor>CLAIM 12345</statement_descriptor>
  <canada_domestic_indicator>true</canada_domestic_indicator>
  <status>APPROVED</status>
  <original_status>APPROVED</original_status>
  <status_timestamp>2021-04-16T13:28:15-05:00</status_timestamp>
  <participant>
    <merchant_category_code>6536</merchant_category_code>
    <interchange_rate_designator>A3</interchange_rate_designator>
    <card_acceptor_id>CardAcceptor123</card_acceptor_id>
    <customer_service_contact_info>8005551234</customer_service_contact_info>
    <merchant_verification_value>2006230000</merchant_verification_value>
    <transfer_acceptor_address>
      <line1>1 Main St</line1>
      <line2>Apartment 9</line2>
      <city>OFallon</city>
      <country_subdivision>MO</country_subdivision>
      <postal_code>63368</postal_code>
      <country>USA</country>
    </transfer_acceptor_address>
  </participant>
  <funding_source>DEBIT</funding_source>
  <transaction_purpose>00</transaction_purpose>
  <funding_account_uri>non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ</funding_account_uri>
  <transfer_priority>SIP</transfer_priority>
  <faster_payments_id>YE78126Q54WK2J06M33020170720826608371</faster_payments_id>
  <payment_uid>32e2f3f9-dee4-4d10-a470-3dfa01dbf118</payment_uid>
  <transaction_local_date_time>2021-04-16T13:28:15-05:00</transaction_local_date_time>
</disbursement>
```

### GET - Retrieve by Disbursement Reference {#get---retrieve-by-disbursement-reference}

#### Request {#request-2}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/disbursements?ref={disbursement_reference}  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements?ref={disbursement_reference}  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/disbursements?ref={disbursement_reference}

No body

#### Response {#response-2}

* JSON
* XML

```JSON
{
  "disbursements": {
    "resource_type": "list",
    "item_count": "1",
    "data": {
      "disbursement": [
        {
          "id": "dsb_onibKQIGKOzDFVZJWcaYFRh3Czye",
          "resource_type": "disbursement",
          "disbursement_reference": "DEF123456",
          "payment_type": "BDB",
          "sender_account_uri": "pan:************9921",
          "sender": {
            "first_name": "XYZ",
            "middle_name": "",
            "last_name": "DBA MA",
            "account_type": "03",
            "address": {
              "line1": "1 Main St",
              "line2": "Apartment 9",
              "city": "OFallon",
              "country_subdivision": "MO",
              "postal_code": "63368",
              "country": "USA"
            },
            "government_ids": {
              "government_id_uri": [
                "ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
              ]
            }
          },
          "recipient_account_uri": "pan:************9913",
          "recipient": {
            "first_name": "Jane",
            "middle_name": "Tyler",
            "last_name": "Smith",
            "nationality": "USA",
            "date_of_birth": "1999-12-30",
            "account_type": "03",
            "address": {
              "line1": "1 Main St",
              "line2": "Apartment 9",
              "city": "OFallon",
              "country_subdivision": "MO",
              "postal_code": "63368",
              "country": "USA"
            },
            "phone": "11234567890",
            "email": "test123@abcmail.com",
            "government_ids": {
              "government_id_uri": [
                "ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon"
              ]
            },
            "name_on_account": "Jane Smith"
          },
          "payment_origination_country": "USA",
          "sanction_screening_override": "false",
          "disbursement_amount": {
            "value": "5300",
            "currency": "USD"
          },
          "created": "2021-04-16T13:28:15-05:00",
          "transaction_history": {
            "resource_type": "list",
            "item_count": "1",
            "data": {
              "transaction": [
                {
                  "id": "txn_6OfMaoFhuRR1nKUu5EX5wREXcqs8",
                  "resource_type": "transaction",
                  "account_uri": "pan:************9913",
                  "transaction_amount": {
                    "value": "5300",
                    "currency": "USD"
                  },
                  "network": "MasterCard",
                  "network_status_code": "00",
                  "network_status_description": "Approved",
                  "funds_availability": "IMMEDIATE",
                  "type": "PAYMENT",
                  "create_timestamp": "2021-04-16T13:28:15-05:00",
                  "status": "APPROVED",
                  "status_reason": "APPROVED",
                  "status_timestamp": "2021-04-16T13:28:15-05:00",
                  "retrieval_reference": "624200192616",
                  "system_trace_audit_number": "926162",
                  "transaction_local_date_time": "2021-04-16T13:28:15-05:00"
                }
              ]
            }
          },
          "reconciliation_data": {
            "custom_field": [
              {
                "name": "Claim Number",
                "value": "123"
              }
            ]
          },
          "statement_descriptor": "CLAIM 12345",
          "canada_domestic_indicator": "true",
          "status": "APPROVED",
          "original_status": "APPROVED",
          "status_timestamp": "2021-04-16T13:28:15-05:00",
          "participant": {
            "merchant_category_code": "6536",
            "interchange_rate_designator": "A3",
            "card_acceptor_id": "CardAcceptor123",
            "customer_service_contact_info": "8005551234",
            "merchant_verification_value": "2006230000",
            "transfer_acceptor_address": {
              "line1": "1 Main St",
              "line2": "Apartment 9",
              "city": "OFallon",
              "country_subdivision": "MO",
              "postal_code": "63368",
              "country": "USA"
            }
          },
          "funding_source": "DEBIT",
          "transaction_purpose": "00",
          "funding_account_uri": "non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ",
          "transfer_priority": "SIP",
          "faster_payments_id": "YE78126Q54WK2J06M33020170720826608371",
          "payment_uid": "32e2f3f9-dee4-4d10-a470-3dfa01dbf118",
          "transaction_local_date_time": "2021-04-16T13:28:15-05:00"
        }
      ]
    }
  }
}
```

```XML
<disbursements>
  <resource_type>list</resource_type>
  <item_count>1</item_count>
  <data>
    <disbursement>
      <id>dsb_onibKQIGKOzDFVZJWcaYFRh3Czye</id>
      <resource_type>disbursement</resource_type>
      <disbursement_reference>DEF123456</disbursement_reference>
      <payment_type>BDB</payment_type>
      <sender_account_uri>pan:************9921</sender_account_uri>
      <sender>
        <first_name>XYZ</first_name>
        <middle_name></middle_name>
        <last_name>DBA MA</last_name>
        <account_type>03</account_type>
        <address>
          <line1>1 Main St</line1>
          <line2>Apartment 9</line2>
          <city>OFallon</city>
          <country_subdivision>MO</country_subdivision>
          <postal_code>63368</postal_code>
          <country>USA</country>
        </address>
        <government_ids>
          <government_id_uri>ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
        </government_ids>
      </sender>
      <recipient_account_uri>pan:************9913</recipient_account_uri>
      <recipient>
        <first_name>Jane</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Smith</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1999-12-30</date_of_birth>
        <account_type>03</account_type>
        <address>
          <line1>1 Main St</line1>
          <line2>Apartment 9</line2>
          <city>OFallon</city>
          <country_subdivision>MO</country_subdivision>
          <postal_code>63368</postal_code>
          <country>USA</country>
        </address>
        <phone>11234567890</phone>
        <email>test123@abcmail.com</email>
        <government_ids>
          <government_id_uri>ppn:*****6789;expiration-date=2050-05-27;issue-date=2011-07-12;issuing-country=USA;issuing-place=OFallon</government_id_uri>
        </government_ids>
        <name_on_account>Jane Smith</name_on_account>
      </recipient>
      <payment_origination_country>USA</payment_origination_country>
      <sanction_screening_override>false</sanction_screening_override>
      <disbursement_amount>
        <value>5300</value>
        <currency>USD</currency>
      </disbursement_amount>
      <created>2021-04-16T13:28:15-05:00</created>
      <transaction_history>
        <resource_type>list</resource_type>
        <item_count>1</item_count>
        <data>
          <transaction>
            <id>txn_6OfMaoFhuRR1nKUu5EX5wREXcqs8</id>
            <resource_type>transaction</resource_type>
            <account_uri>pan:************9913</account_uri>
            <transaction_amount>
              <value>5300</value>
              <currency>USD</currency>
            </transaction_amount>
            <network>MasterCard</network>
            <network_status_code>00</network_status_code>
            <network_status_description>Approved</network_status_description>
            <funds_availability>IMMEDIATE</funds_availability>
            <type>PAYMENT</type>
            <create_timestamp>2021-04-16T13:28:15-05:00</create_timestamp>
            <status>APPROVED</status>
            <status_reason>APPROVED</status_reason>
            <status_timestamp>2021-04-16T13:28:15-05:00</status_timestamp>
            <retrieval_reference>624200192616</retrieval_reference>
            <system_trace_audit_number>926162</system_trace_audit_number>
            <transaction_local_date_time>2021-04-16T13:28:15-05:00</transaction_local_date_time>
          </transaction>
        </data>
      </transaction_history>
      <reconciliation_data>
        <custom_field>
          <name>Claim Number</name>
          <value>123</value>
        </custom_field>
      </reconciliation_data>
      <statement_descriptor>CLAIM 12345</statement_descriptor>
      <canada_domestic_indicator>true</canada_domestic_indicator>
      <status>APPROVED</status>
      <original_status>APPROVED</original_status>
      <status_timestamp>2021-04-16T13:28:15-05:00</status_timestamp>
      <participant>
        <merchant_category_code>6536</merchant_category_code>
        <interchange_rate_designator>A3</interchange_rate_designator>
        <card_acceptor_id>CardAcceptor123</card_acceptor_id>
        <customer_service_contact_info>8005551234</customer_service_contact_info>
        <merchant_verification_value>2006230000</merchant_verification_value>
        <transfer_acceptor_address>
          <line1>1 Main St</line1>
          <line2>Apartment 9</line2>
          <city>OFallon</city>
          <country_subdivision>MO</country_subdivision>
          <postal_code>63368</postal_code>
          <country>USA</country>
        </transfer_acceptor_address>
      </participant>
      <funding_source>DEBIT</funding_source>
      <transaction_purpose>00</transaction_purpose>
      <funding_account_uri>non-card-token:suZz18lhAFvx9LQa6U2VMxs0BJLAD_TXVzYvaqTsjcG_AImuzmvNXQ</funding_account_uri>
      <transfer_priority>SIP</transfer_priority>
      <faster_payments_id>YE78126Q54WK2J06M33020170720826608371</faster_payments_id>
      <payment_uid>32e2f3f9-dee4-4d10-a470-3dfa01dbf118</payment_uid>
      <transaction_local_date_time>2021-04-16T13:28:15-05:00</transaction_local_date_time>
    </disbursement>
  </data>
</disbursements>
```

